getTransaction
Authorizations
AuthorizationstringOptional
Pass Authorization: <api-key> on each request.
Body
jsonrpcstring · enumRequiredExample:
JSON-RPC protocol version.
2.0Possible values: idone ofRequiredExample:
Request identifier echoed back in the response.
1stringOptional
integerOptional
methodstring · enumRequiredExample:
Must be getTransaction.
getTransactionPossible values: Responses
200
Successful getTransaction response.
application/json
Base envelope of every JSON-RPC 2.0 response.
jsonrpcstring · enumRequiredExample:
2.0Possible values: idone ofRequiredExample:
Echoed request id.
1stringOptional
integerOptional
401
Authentication required or invalid.
application/json
403
Insufficient permissions for the request.
application/json
429
Rate limit exceeded for this tier.
application/json
500
Unexpected server error.
application/json
post/historical
curl -X POST https://public.rpc.solanavibestation.com/historical \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getTransaction",
"params": [
"4hXTCkRzt9WyecNzV1XPgCDfGAZzQKNxLXgynz5QDuWWPSAZBZSHptvWRL3BjCvzUXRdKvHL2b7yGrRQcWyaqsa",
{
"maxSupportedTransactionVersion": 0
}
]
}'{
"jsonrpc": "2.0",
"id": 1,
"result": {
"slot": 178000000,
"blockTime": 1700000000,
"transaction": {
"signatures": [
"..."
],
"message": {}
},
"meta": {
"err": null,
"fee": 5000,
"preBalances": [
1000000
],
"postBalances": [
995000
]
},
"version": 0
}
}Last updated